﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Model
{
    class Fireball : Weapon
    {
        private int minRange;
        private int maxRange;
        private int modStr;
        private int modSkill;
        private int modInt;
        private int[] range;

        public Fireball()
        {
            minRange = 1;
            maxRange = 2;
            modStr = 0;
            modSkill = 5;
            modInt = 5;
            range = new int[2];
            range[0] = minRange;
            range[1] = maxRange;
        }

        public int getInt()
        {
            return modInt;
        }

        public string getName()
        {
            return "Fireball";
        }

        public int[] getRange()
        {
                return range; 
        }

        public int getSkill()
        {
            return modSkill;
        }

        public int getStrength()
        {
            return modStr;
        }
    }
}
