﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Model
{
    class Player
    {
        private LinkedList<Unit> ownedUnits;    // units that the player owns
                                                // if a unit dies, REMOVE from this list and put into a "dead" pile.

        public Player()
        {
            ownedUnits = new LinkedList<Unit>();
        }

        public LinkedList<Unit> getUnits()
        {
            return ownedUnits;
        }

        public int getNumOfUnits()
        {
            return ownedUnits.Count;
        }
        // Tells whether a specified unit is owned by the player
        public bool ownsUnit(Unit unit)
        {
            if (ownedUnits.Contains(unit))
            {
                return true;
            }
            return false;
        }

        public void addUnit(Unit unit)
        {
            ownedUnits.AddLast(unit);
        }
    }
}

