﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;


namespace View
{
    public partial class MainMenu : Form
    {
        public bool start = false;
        public bool instruct = false;
        public bool quit = false;
        public bool load = false;

        public MainMenu()
        {
            InitializeComponent();
        }

        private void Start_Click(object sender, EventArgs e)
        {
            start = true; // check if user starts game
        }

        private void howToPlay_Click(object sender, EventArgs e)
        {
            instruct = true; // check if user wants instructions
        }

        //sets instruct to false when no longer on how-to-play gameState
        public void setInstructFalse()
        {
            instruct = false; 
        }

        //returns current instruct boolean
        public Boolean getInstruct()
        {
            return instruct;
        }

        //checks if exit is clicked
        private void Exit_Click(object sender, EventArgs e)
        {
            quit = true; // check if user quits
        }
    }
}
